Bug 250723 - PL-2303 will not attach to /dev/ttyUSB0, BUT will attach to /dev/ttyUSB when using usbserial module (with arguments, vendor.product)
PL-2303 will not attach to /dev/ttyUSB0, BUT will attach to /dev/ttyUSB when ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 04:43 EDT by Shahmat Dahlan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-03 09:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shahmat Dahlan 2007-08-03 04:43:17 EDT
Description of problem: Using a Nudam-6530 - really a pl2303 or pl2303x
(USB-to-serial) on FC5-2.6.18-1.2200smp, able to detect the device as "Prolific
PL2303 USB to serial adaptor driver"

Tried upgrading to 2.6.20-1.2320, but to no avail. Can detect the device as
pl2303. But cannot attach the device to /dev/ttyUSB0.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
0. Ran mknod /dev/ttyUSB0 c 188 0, and mknod /dev/ttyUSB1 c 188 1, the first
after plugging in the device for the first time, and discover that it will not
attach itself to the /dev/ttyUSB0

1. Output for lsusb:

[root@localhost rules.d]# lsusb
Bus 002 Device 001: ID 0000:0000
Bus 005 Device 001: ID 0000:0000
Bus 004 Device 001: ID 0000:0000
Bus 003 Device 001: ID 0000:0000
Bus 001 Device 005: ID 0b63:6530 ADLink Technology, Inc.
Bus 001 Device 001: ID 0000:0000

2. Output for dmesg - after device was plugged-in and ran modprobe pl2303

usb 1-1: new full speed USB device using uhci_hcd and address 6
usb 1-1: configuration #1 chosen from 1 choice
usbcore: registered new interface driver usbserial
drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
usbcore: registered new interface driver usbserial_generic
drivers/usb/serial/usb-serial.c: USB Serial Driver core
drivers/usb/serial/usb-serial.c: USB Serial support registered for pl2303
usbcore: registered new interface driver pl2303
drivers/usb/serial/pl2303.c: Prolific PL2303 USB to serial adaptor driver

3. Remove the pl2303 module by running rmmod pl2303
4. And ran modprobe usbserial vendor=0x0b63 product=0x6530

Output of dmesg:
usbcore: registered new interface driver usbserial
drivers/usb/serial/usb-serial.c: USB Serial support registered for generic
usbserial_generic 1-1:1.0: generic converter detected
usb 1-1: generic converter now attached to ttyUSB0
usbcore: registered new interface driver usbserial_generic
drivers/usb/serial/usb-serial.c: USB Serial Driver core
  
Actual results:

1. When using the module pl2303, it will NOT attach itself properly to the
/dev/ttyUSB0

2. When using the module usbserial with the arguments vendor=0x067b
product=0x6530, it WILL attach itself properly onto the /dev/ttyUSB0

Expected results:


Additional info:
Comment 1 Jarod Wilson 2007-08-03 09:14:23 EDT
FC5 reached end-of-life for support over a month ago, so this bug will not be
fixed in an FC5 kernel update. FWIW, I can say definitively that pl2303 devices
do work in the latest fedora kernels, as I've got one myself, running under
Fedora 7.
Comment 2 Pete Zaitcev 2007-08-06 21:32:41 EDT
I have looked into this and I am certain that pl2303 never supported
a vendor 0x0b63. The 0x067b is the correct VID for Prolific.
Comment 3 Shahmat Dahlan 2007-08-06 22:41:43 EDT
I can see that running both of these
modprobe usbserial vendor=0x0b63 product=0x6530
modprobe usbserial vendor=0x067b product=0x6530

will be displayed at the dmesg output that
usb 1-1: generic converter now attached to ttyUSB0

But this doesn't seem to be working with this application that we have. Is there
anyway I suppose I can test this out

I tried testing using minicom, but I couldn't get anything outputs at all and
according to the status, its offline and I did configure the serial port
settings and all, but couldn't get anything out.

Ran these and the following are the outputs, I assume that if you can see the
informations stated below, would indicate that it's running ok somehow.
[root@FC5 ~]# stty -a -F /dev/ttyUSB0
speed 9600 baud; rows 0; columns 0; line = 0;
intr = <undef>; quit = <undef>; erase = <undef>; kill = <undef>; eof = <undef>;
eol = <undef>; eol2 = <undef>; swtch = <undef>; start = <undef>; stop =
<undef>;susp = <undef>; rprnt = <undef>; werase = <undef>; lnext = <undef>;
flush = <undef>; min = 1; time = 0;
-parenb -parodd cs8 hupcl -cstopb cread -clocal -crtscts
-ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr -igncr -icrnl -ixon
-ixoff-iuclc -ixany -imaxbel -iutf8
-opost -olcuc -ocrnl -onlcr -onocr -onlret -ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0
-isig -icanon iexten -echo -echoe -echok -echonl -noflsh -xcase -tostop
-echoprtechoctl echoke
Comment 4 Pete Zaitcev 2007-08-20 19:24:19 EDT
Well, duh. Of course a generic won't work if the chip is really a Prolific.
I think generic cannot take traffic through an interrupt endpoint.

The right course of action is to add the missing IDs to pl2303.c.
So, which ID is it? The original report of August 3 says 0x06b3.

Note You need to log in before you can comment on or make changes to this bug.